GDCM: gdcm::GroupDict Class Reference

GDCM 3.2.11

Public Types | Public Member Functions | Protected Member Functions | Friends | List of all members
gdcm::GroupDict Class Reference

Class to represent the mapping from group number to its abbreviation and name. More...

`#include <gdcmGroupDict.h>`

## Public Types
typedef std::vector< std::string > | GroupStringVector

## Public Member Functions
| GroupDict ()
| ~GroupDict ()=default
std::string const & | GetAbbreviation (uint16_t num) const
std::string const & | GetName (uint16_t num) const
size_t | Size () const

## Protected Member Functions
void | Add (std::string const &abbreviation, std::string const &name)
void | Insert (uint16_t num, std::string const &abbreviation, std::string const &name)

## Friends
std::ostream & | operator<< (std::ostream &_os, const GroupDict &_val)

## Detailed Description

Class to represent the mapping from group number to its abbreviation and name.

Note
  Should I rewrite this class to use a std::map instead of std::vector for problem of memory consumption ?

## Member Typedef Documentation

## ◆ GroupStringVector

typedef std::vector<std::string> gdcm::GroupDict::GroupStringVector

## Constructor & Destructor Documentation

## ◆ GroupDict()

gdcm::GroupDict::GroupDict | ( |  | ) |
| inline

Referenced by ~GroupDict(), Insert(), and operator<<.

## ◆ ~GroupDict()

gdcm::GroupDict::~GroupDict | ( |  | ) |
| default

References GroupDict(), and operator<<.

## Member Function Documentation

## ◆ Add()

void gdcm::GroupDict::Add | ( | std::string const & | abbreviation,
|  | std::string const & | name )
| protected

## ◆ GetAbbreviation()

std::string const & gdcm::GroupDict::GetAbbreviation | ( | uint16_t | num | ) | const

Referenced by operator<<.

## ◆ GetName()

std::string const & gdcm::GroupDict::GetName | ( | uint16_t | num | ) | const

Referenced by operator<<.

## ◆ Insert()

void gdcm::GroupDict::Insert | ( | uint16_t | num,
|  | std::string const & | abbreviation,
|  | std::string const & | name )
| protected

References GroupDict().

## ◆ Size()

size_t gdcm::GroupDict::Size | ( |  | ) | const
| inline

References gdcm_assert.

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const GroupDict & | _val )
| friend

References GroupDict(), GetAbbreviation(), GetName(), operator<<, and Size().

Referenced by ~GroupDict(), and operator<<.

The documentation for this class was generated from the following file:

- gdcmGroupDict.h